Skip to main content
GET
/
sources
List sources
curl --request GET \
  --url https://api.prequel.co/sources \
  --header 'X-API-KEY: <api-key>'
{
  "status": "<string>",
  "data": {
    "sources": [
      {
        "athena": {
          "workgroup": "<string>",
          "connection_database": "<string>",
          "bucket_s3": {
            "bucket_name": "<string>",
            "bucket_region": "<string>"
          },
          "auth_method": "<unknown>",
          "aws_iam_role": {
            "aws_iam_role_arn": "<string>"
          }
        },
        "id": "<string>",
        "vendor": "<string>",
        "name": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "max_concurrent_transfers": 123,
        "max_concurrent_queries_per_transfer": 123
      }
    ]
  },
  "message": "<string>",
  "has_next": true,
  "next_url": "<string>"
}

Authorizations

X-API-KEY
string
header
required

Query Parameters

page_size
integer

Number of items to return per page.

order
enum<string>

Sort order for items

Available options:
asc,
desc
cursor
string

Used for pagination - represents last page seen. Value is included in response when there is a next page.

Response

OK

status
string
required
Allowed value: "success"
data
object
required
message
string
required
has_next
boolean
required

Whether there are more items beyond this page.

next_url
string

Full URL to fetch the next page. Only present when has_next is true.